LIFEREA(1)

NOME
Liferea - aggregatore di notiziari GTK per il desktop

SINOSSI
liferea [OPZIONI]

DESCRIZIONE
Liferea (Linux Feed Reader) è un aggregatore per i notiziari online. Può essere utilizzato per mantenere una lista di notiziari a cui sei abbonato, sfogliare e ricercare i loro oggetti e mostrarne i contenuti. In aggiunta Liferea ti permette di sincronizzare gli abbonamenti e leggere i titoli tramite gli account online di TinyTinyRSS e TheOldReader.

OPZIONI
Opzioni di Liferea:

-v, --version
    Mostra le informazioni sulla versione ed esce.

-h, --help
    Mostra un riepilogo delle opzioni ed esce.

-a, --add-feed=URI
    Aggiunge l'URI di un nuovo abbonamento che può essere l'URL di un notiziario o di un sito web.

-w, --mainwindow-state=STATE
    Avvia Liferea con la sua finestra principale nello STATO: visibile, nascosta.

-p, --disable-plugins
    Avvia Liferea con tutti i plugin disabilitati.

--debug-all
    Mostra i messaggi di debug di tutti i tipi.

--debug-cache
    Mostra i messaggi di debug per la gestione della memoria.

--debug-conf
    Mostra i messaggi di debug per la gestione della configurazione (generica).

--debug-db
    Mostra i messaggi di debug per la gestione della configurazione (base di dati).

--debug-gui
    Mostra i messaggi di debug di tutte le funzioni della GUI.

--debug-html
    Abilita il debugging del rendering HTML. Ogni volta che Liferea renderizza l'output HTML, farà anche il dump dell'HTML generato all'interno di $XDG_CACHE_DIR/liferea/output.html.

--debug-net
    Mostra i messaggi di debug di tutte le attività di rete e mostra la stringa dell'User-Agent HTTP/S.

--debug-parsing
    Mostra i messaggi di debug di tutte le funzioni del parser.

--debug-update
    Mostra i messaggi di debug del processo di aggiornamento del notiziario.

--debug-vfolder
    Mostra i messaggi di debug sulle cartelle di ricerca.

INTERFACCIA DBUS
Per consentire l'integrazione con altri programmi Liferea fornisce un'interfaccia DBUS per la creazione automatica di nuovi abbonamenti. Lo script liferea-add-feed è un modo conveniente per utilizzarla. Ti basta passare l'URL ben formato di un notiziario come parametro ed il notiziario sarà aggiunto all'elenco dei notiziari. Puoi anche passare altri tipi di URL per usare l'individuazione automatica dei notiziari. Vedi la sezione ESEMPI.

AMBIENTE

http_proxy (per connessioni HTTP)
https_proxy (per connessioni HTTPS)
    Se sono definite ed un proxy non è specificato nelle preferenze di Liferea (il quale usa le impostazioni del proxy fornite da dconf), il loro valore sarà usato come URI del proxy. Entrambe vengono usate da molti strumenti CLI, quindi assicurati di esportarle in una sotto-shell dedicata.

LIFEREA_FEED_CMD_TIMEOUT
    Se definita, sovrascrive il timeout predefinito per i comandi di generazione di feeds con il numero di secondi dato in questa variabile. Deve essere un valore intero maggiore di zero; valori non validi verranno ignorati.

LIFEREA_UA_ANONYMOUS
    Se definita, randomizza e anonimizza la stringa User-Agent HTTP/S predefinita.

LIFEREA_UA
    Se definita, il suo valore sostituisce la stringa User-Agent HTTP/S predefinita.

LIFEREA_UA ha sempre precedenza su LIFEREA_UA_ANONYMOUS, affinché quest'ultimo possa essere definito in sicurezza nei file globali di inizializzazione della shell.

EXAMPLES

$ http_proxy="http://proxy.example.com:3128" liferea
$ http_proxy="http://username:password@proxy.example.com:3128" liferea
    Cambierà ogni richiesta in uscita per usare proxy.example.com sulla porta 3128 come proxy. Se la risoluzione DNS non funziona, può essere invece usato un indirizzo IP.

$ LIFEREA_UA_ANONYMOUS=1 liferea --debug-net
    Cambierà ogni richiesta HTTP/S in uscita per randomizzare la versione di Liferea e nascondere il sistema operativo in uso. In aggiunta, mostra l'User-Agent HTTP/S e tutte le richieste in uscita.

$ LIFEREA_UA="Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0" liferea
    Cambierà ogni richiesta HTTP/S in uscita per fingersi Firefox su Linux.

$ liferea-add-feed "feed:https://www.example.com/feed.rss"
$ liferea --add-feed "https://www.example.com/feed.rss"
    Abbonati a "example.com/feed.rss". Ricordati di fornire l'URL valido e correttamente sottoposto ad escaping di un notiziario. Nota che Liferea ha bisogno di essere in esecuzione affinché liferea-add-feed funzioni.

FILES

$XDG_CONFIG_DIR/liferea/feedlist.opml
    Contiene la lista degli abbonamenti attuali.

$XDG_CONFIG_DIR/liferea/liferea.css
    Foglio di stile che può essere usato per sovrascrivere lo stile HTML predefinito.

$XDG_DATA_DIR/liferea/liferea.db
    Base di dati SQLite3 con tutti gli abbonamenti ed i titoli.

$XDG_DATA_DIR/liferea/plugins/
    I plugin installati dall'utente vengono conservati qui. Puoi inserire i plugin qui manualmente o usare l'Installatore Plugin all'interno di Liferea.

AUTORE
Questa pagina di manuale è stata scritta da Lars Windolf <lars.windolf@gmx.de>.

Aggiornata e tradotta dall'inglese il 26 nov. 2021 da Lorenzo L. Ancora <admin@lorenzoancora.info>.